Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.design
Interface JRCompiler

All Known Implementing Classes:
  JavaScriptCompiler, JRAbstractClassCompiler, JRAbstractCompiler, JRAbstractJavaCompiler, JRAbstractMultiClassCompiler, JRAbstractSingleClassCompiler, JRBshCompiler, JRDefaultCompiler, JRGroovyCompiler, JRJavacCompiler, JRJdk13Compiler, JRJdtCompiler, JRJikesCompiler

    public interface JRCompiler

Version:
  $Id: JRCompiler.java 3033 2009-08-27 11:46:22Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Field Summary
`static java.lang.String` | `COMPILER_PREFIX` Prefix for properties that map report compilers to expression languages.

Method Summary
`JasperReport` | `compileReport(JasperDesign jasperDesign)` Compiles a report design.
`JREvaluator` | `loadEvaluator(JasperReport jasperReport)` Loads the evaluator for a report's main dataset.
`JREvaluator` | `loadEvaluator(JasperReport jasperReport, JRCrosstab crosstab)` Loads a expression evaluator class for a crosstab of a report.
`JREvaluator` | `loadEvaluator(JasperReport jasperReport, JRDataset dataset)` Loads a expression evaluator class for a dataset of a report.

Field Detail

### COMPILER_PREFIX

    static final java.lang.String COMPILER_PREFIX

  Prefix for properties that map report compilers to expression languages.

  Properties having this prefix are used to indicate the JRCompiler implementation to be used when compiling report designs that rely on the expression language specified as propety suffix.

  See Also:
    Constant Field Values

Method Detail

### compileReport

    JasperReport compileReport(JasperDesign jasperDesign)
                               throws JRException

  Compiles a report design.

  The compilation consists of verification of the design, generation of expression evaluators and construction of a serializable read-only version of the report.

  A report compiler should usually extend `JRAbstractCompiler`.

  Parameters:
    `jasperDesign` - the report design
  Returns:
    the compiled report
  Throws:
    `JRException`

### loadEvaluator

    JREvaluator loadEvaluator(JasperReport jasperReport)
                              throws JRException

  Loads the evaluator for a report's main dataset.

  Parameters:
    `jasperReport` - the report
  Returns:
    the evaluator for the report's main dataset
  Throws:
    `JRException`

### loadEvaluator

    JREvaluator loadEvaluator(JasperReport jasperReport,
                              JRDataset dataset)
                              throws JRException

  Loads a expression evaluator class for a dataset of a report.

  Parameters:
    `jasperReport` - the report
    `dataset` - the dataset
  Returns:
    an instance of the dataset evaluator class
  Throws:
    `JRException`

### loadEvaluator

    JREvaluator loadEvaluator(JasperReport jasperReport,
                              JRCrosstab crosstab)
                              throws JRException

  Loads a expression evaluator class for a crosstab of a report.

  Parameters:
    `jasperReport` - the report
    `crosstab` - the crosstab
  Returns:
    an instance of the dataset evaluator class
  Throws:
    `JRException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com